# Lintian overrides for request-tracker4

# Allowing world read access on these directories allows bypassing of
# application defined permissions.

non-standard-dir-perm var/log/request-tracker4/ 2755 != 0755
non-standard-dir-perm var/cache/request-tracker4/ 2750 != 0755
non-standard-dir-perm var/cache/request-tracker4/mason_data/ 2750 != 0755
non-standard-dir-perm var/cache/request-tracker4/mason_data/etc/ 2750 != 0755
non-standard-dir-perm var/cache/request-tracker4/mason_data/obj/ 2750 != 0755
non-standard-dir-perm var/cache/request-tracker4/mason_data/cache/ 2750 != 0755
non-standard-dir-perm var/cache/request-tracker4/session_data/ 2750 != 0755
non-standard-dir-perm var/lib/request-tracker4/ 2750 != 0755
non-standard-dir-perm var/lib/request-tracker4/data/ 2750 != 0755
non-standard-dir-perm var/lib/request-tracker4/data/gpg/ 0700 != 0755

# This file is part of a customised version of ckeditor
embedded-javascript-library usr/share/request-tracker4/static/RichText/ckeditor.js *
embedded-javascript-library usr/share/request-tracker4/static/RichText/adapters/jquery.js *

# jquery 1.9 not available in Debian.
embedded-javascript-library usr/share/request-tracker4/static/js/jquery.tablesorter.min.js *
embedded-javascript-library usr/share/request-tracker4/static/js/jquery.cookie.js *

extra-license-file usr/share/request-tracker4/static/RichText/plugins/scayt/LICENSE.md
extra-license-file usr/share/request-tracker4/static/RichText/plugins/wsc/LICENSE.md
